D2I_X509_SIG(3)

NAME
d2i_X509_SIG, i2d_X509_SIG - DigestInfo functions.

SYNOPSIS
 #include <openssl/x509.h>

 X509_SIG *d2i_X509_SIG(X509_SIG **a, unsigned char **pp, long length);
 int i2d_X509_SIG(X509_SIG *a, unsigned char **pp);

DESCRIPTION
These functions decode and encode an X509_SIG structure which is equivalent to the DigestInfo structure defined in PKCS#1 and PKCS#7.

Othewise these behave in a similar way to d2i_X509() and i2d_X509() described in the d2i_X509(3) manual page.

SEE ALSO
d2i_X509(3)

HISTORY
TBA